Subject: bug#42562: Problem with rendering Persian text still exists in minibuffer and dired

From: Sineau Gh <[email-masked]>
Date: Fri, 31 Jul 2020 11:02:44 +0430

Oh sorry for the trouble. I haven't tested it with emacs -Q (rookie
here). In that case dired and editable buffers are working as
expected.  Here's a reproduction recipe for *Completion Buffer* and
modeline:

- create a folder with following files:

تحقیق
تست
مدرن.txt
تحقیق.org <http://xn--pgbg7da30e.org>

- visit a file using C-x C-f.
- use TAB for *Completion Buffer*.
- first character of all file names are disjointed.
- type ت to filter the filenames, now the second characters are
  disjointed.
- now open one of the files. in modeline first and last characters of
  the filename are disjointed.

On Fri, 31 Jul 2020 at 10:36, Eli Zaretskii <[email-masked]> wrote:

> > From: Sineau Gh <[email-masked]>
> > Date: Fri, 31 Jul 2020 10:08:43 +0430
> > Cc: [email-masked]
> >
> > This can't be the problem, because even if I don't set a font on my
> > config, the font which selected automatically by emacs is also rendered
> > disjointed. But to make sure this isn't the case, I removed two
> > compatible fonts that are automatically selected (namely, Vazir and
> > Noto, both of which have great Persian support). The default font is now
> DejaVu
> > Mono, which is again rendered disjointed.
>
> Is this in "emacs -Q"?  If so, then this is contrary to what everyone
> else sees with Emacs 27, so there must be some other factor at work
> here.
>
> In any case, I repeat the previous request: please provide a recipe
> for reproducing the problem, starting with "emacs -Q".  For example,
> if this happens in Dired, then the recipe could be something like
> this:
>
>   . create a directory with files named .... (here show the exact
>     names of the file names to create)
>   . start Dired on that directory
>   . observe that file names ... (state the problematic file names) are
>     rendered incorrectly (here please attach a screenshot of the
>     incorrect display, and another one of how these file names should
>     look when rendered correctly)
>
> If some other non-default setting should be used, such as
> column-number-mode or something else, please include those settings in
> the recipe.
>
> Such a recipe is required to debug the problem.  Based on previous
> experience, once a recipe is provided, the solution is found very
> quickly, but before the recipe is provided there's almost no progress
> in investigating the problem.
>
> Thanks.
>